All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.storage.olap.sasmdx
Class Cube

    com.sas.storage.olap.sasmdx.Cube

All Implemented Interfaces:
  CubeInterface, MetadataEntityInterface

    public class Cube

implements CubeInterface

Contains the client side implementation for com.sas.storage.olap.CubeInterface. This implementation uses the IOM/OLAP interfaces provided by the SAS OLAP server. There actually aren't any remote calls in this particular class. All remote metadata calls are made from within the MetadataInterface implementation.

Constructor Summary
`Cube(MetadataInterface metadata, com.sas.iom.SASMDX.ISession _session, java.lang.String catalogName, java.lang.String schemaName, java.lang.String cubeName, java.lang.String cubeType, java.util.Date creationDateTime, java.util.Date updateDateTime, java.lang.String cubeDescription, boolean isDrillthroughEnabled)` A constructor

Method Summary
`java.util.Date` | `getCreationDateTime()` Returns the date/time the cube was created.
`java.lang.String` | `getDescription()` Return the description of a cube
`DimensionInterface[]` | `getDimensions()` Returns the dimensions for this cube.
`Filter` | `getFilter()` This filter is filled from the information it has after the server call.
`java.lang.String` | `getLabel()` Returns the label of the cube.
`MeasureInterface[]` | `getMeasures()` Returns the measures for this cube.
`MetadataInterface` | `getMetadata()` Get the metadata associated with this object
`java.lang.String` | `getName()` Returns the name of the cube.
`java.lang.String` | `getNormalizedName()` Get the Normalized name for the cube.
`SchemaInterface` | `getSchema()` Returns the schema for this cube.
`java.lang.String` | `getType()` Returns the type of the cube.
`java.lang.String` | `getUniqueName()` Returns the name of the cube.
`java.util.Date` | `getUpdateDateTime()` Return the date/time the cube's data was last updated.
`boolean` | `isDrillThroughEnabled()` Checks to see if this cube has the drill through capabilities
`java.lang.String` | `toString()`

Constructor Detail

### Cube

    public Cube(MetadataInterface metadata,
                com.sas.iom.SASMDX.ISession _session,
                java.lang.String catalogName,
                java.lang.String schemaName,
                java.lang.String cubeName,
                java.lang.String cubeType,
                java.util.Date creationDateTime,
                java.util.Date updateDateTime,
                java.lang.String cubeDescription,
                boolean isDrillthroughEnabled)
         throws OLAPException

  A constructor

  Parameters:
    `session` - The session for this cube
    `schemaName` - Schema filter
    `cubeName` - Cube name filter
  Throws:
    `OLAPException`

Method Detail

### getName

    public java.lang.String getName()
                             throws OLAPException

  Returns the name of the cube.

  Specified by:
    `getName` in interface `MetadataEntityInterface`
  Returns:
    Name of the metadata object
  Throws:
    `OLAPException`
  See Also:
    `CubeInterface`

### getUniqueName

    public java.lang.String getUniqueName()
                                   throws OLAPException

  Returns the name of the cube.

  Specified by:
    `getUniqueName` in interface `MetadataEntityInterface`
  Returns:
    unique name of the object
  Throws:
    `OLAPException`
  See Also:
    `CubeInterface`

### getNormalizedName

    public java.lang.String getNormalizedName()
                                       throws OLAPException

  Description copied from interface: `CubeInterface`
  Get the Normalized name for the cube. This method is convenience method to avoid matching lower case and upper case.

  Specified by:
    `getNormalizedName` in interface `CubeInterface`
  Returns:
    cube name either always uppercase or lowercase.
  Throws:
    `OLAPException`

### getLabel

    public java.lang.String getLabel()
                              throws OLAPException

  Returns the label of the cube. The label is the same as the name for this implementation.

  Specified by:
    `getLabel` in interface `MetadataEntityInterface`
  Returns:
    label
  Throws:
    `OLAPException`
  See Also:
    `CubeInterface`

### getType

    public java.lang.String getType()

  Returns the type of the cube. e.g. CUBE

  Specified by:
    `getType` in interface `CubeInterface`
  Returns:
    type of the cube

### getCreationDateTime

    public java.util.Date getCreationDateTime()
                                       throws OLAPException

  Returns the date/time the cube was created.

  Specified by:
    `getCreationDateTime` in interface `MetadataEntityInterface`
  Returns:
    Date time when the object was created
  Throws:
    `OLAPException`
  See Also:
    `CubeInterface`

### getUpdateDateTime

    public java.util.Date getUpdateDateTime()
                                     throws OLAPException

  Return the date/time the cube's data was last updated.

  Specified by:
    `getUpdateDateTime` in interface `MetadataEntityInterface`
  Returns:
    last update/modified date time of this object
  Throws:
    `OLAPException`
  See Also:
    `CubeInterface`

### getDescription

    public java.lang.String getDescription()
                                    throws OLAPException

  Return the description of a cube

  Specified by:
    `getDescription` in interface `MetadataEntityInterface`
  Returns:
    description of cube
  Throws:
    `OLAPException`

### isDrillThroughEnabled

    public boolean isDrillThroughEnabled()

  Checks to see if this cube has the drill through capabilities

  Specified by:
    `isDrillThroughEnabled` in interface `CubeInterface`
  Returns:
    true if has the drill through is enabled, false otherwise

### getSchema

    public SchemaInterface getSchema()
                              throws OLAPException

  Returns the schema for this cube.

  Specified by:
    `getSchema` in interface `CubeInterface`
  Returns:
    The name of the schema to which the cube belongs.
  Throws:
    `OLAPException` - if a database error occurs
  See Also:
    `CubeInterface`

### getDimensions

    public DimensionInterface[] getDimensions()
                                       throws OLAPException

  Returns the dimensions for this cube.

  Specified by:
    `getDimensions` in interface `CubeInterface`
  Returns:
    An array of dimensions associated with this cube.
  Throws:
    `OLAPException` - if a database error occurs
  See Also:
    `CubeInterface`

### getMeasures

    public MeasureInterface[] getMeasures()
                                   throws OLAPException

  Returns the measures for this cube. Should be exactly 1 measure for this implementation.

  Specified by:
    `getMeasures` in interface `CubeInterface`
  Returns:
    An array of measures associated with this cube.
  Throws:
    `OLAPException` - if a database error occurs
  See Also:
    `CubeInterface`

### getFilter

    public Filter getFilter()

  This filter is filled from the information it has after the server call. It is not the same filter that is used to get the cube from the server.

  Specified by:
    `getFilter` in interface `CubeInterface`
  Returns:
    filter object with all the information used to create this object

### getMetadata

    public MetadataInterface getMetadata()
                                  throws OLAPException

  Get the metadata associated with this object

  Specified by:
    `getMetadata` in interface `MetadataEntityInterface`
  Returns:
    metadata
  Throws:
    `OLAPException` - if a database error occurs

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.